#include "DialogueTree.h"
#include "DialogueTextNode.h"
#include "DialogueEdge.h"

#define LOCTEXT_NAMESPACE "DialogueSession"

UDialogueTree::UDialogueTree()
{
	NodeType = UGenericGraphNode::StaticClass();
	EdgeType = UDialogueEdge::StaticClass();

	// bCanBeCyclical = true;

	Character1.CharacterName = "Character 1";
	Character2.CharacterName = "Character 2";
	Character3.CharacterName = "None";
	Character4.CharacterName = "None";

	Character1.DialogueNodeBgColor = FLinearColor::Black;
	Character2.DialogueNodeBgColor = FLinearColor(0.93f, 0.93f, 0.93f, 1.f);
	Character3.DialogueNodeBgColor = FLinearColor::Yellow;
	Character4.DialogueNodeBgColor = FLinearColor::Blue;

	Name = "Dialogue Tree";
}

#undef LOCTEXT_NAMESPACE
